;________________________________________________________________________
;
;                             H E L L O . A S M
;________________________________________________________________________
;
; Pic-E Demo project by Steve Dimse K4HG Feb 1999
;
; AX-25 routines by Byon Garrabrant  N6BG  byon@mail.com  Apr 98
;________________________________________________________________________

	LIST	P=PIC16F84
	include	"P16F84.INC"
	__CONFIG _HS_OSC & _CP_OFF & _PWRTE_ON & _WDT_OFF

;________________________________________________________________________

	cblock	H'0C'			; system variables
		temp
		temp2
	endc
;________________________________________________________________________

#define	PTT_OUT		PORTA, 2
;________________________________________________________________________

	ORG	0			; start code
	goto	main
;________________________________________________________________________

	include "OPTIONS.ASM"		; include callsign and beacon data
	include	"MX614.ASM"		; include MX614 Modem code
	include	"AX25.ASM"		; include AX.25 UI code
;________________________________________________________________________



main
	call	Tone_Init

	bsf	STATUS, RP0		; Select Bank 1
	bcf	PTT_OUT			; make PTT an output
;	bcf	VALID_OUT
	bcf	STATUS, RP0		; Select Bank 0
	bcf	PTT_OUT			; release PTT


mainLoop

	 call	Packet_Send		; send a packet

	sleep				; Just do one packet

;________________________________________________________________________


	END

